Name:           perl-Term-Animation
Version:        2.6
Release:        18%{?dist}
Summary:        ASCII sprite animation framework

License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/perl-Term-Animation/
Source0:        http://search.cpan.org/CPAN/authors/id/K/KB/KBAUCOM/Term-Animation-2.6.tar.gz

BuildArch:      noarch
BuildRequires:  perl(Carp)
BuildRequires:  perl(Curses)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a framework to produce sprite animations using ASCII art.
Each ASCII 'sprite' is given one or more frames, and placed into the animation
as an 'animation object'. An animation object can have a callback routine that
controls the position and frame of the object.

If the constructor is passed no arguments, it assumes that it is running full
screen, and behaves accordingly. Alternatively, it can accept a curses window
(created with the Curses new win call) as an argument, and will draw into that
window.

%prep
%setup -q -n Term-Animation-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README MIGRATION
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 2.6-16
- Perl 5.18 rebuild

* Fri Mar 01 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.6-15
- Add BR: perl(ExtUtils::MakeMaker) (Fix FTBFS #914314).
- Rework BRs.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 05 2012 Luis Bazan <lbazan@fedoraproject.org> - 2.6-13
- fix typo
- add test line

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 2.6-11
- Perl 5.16 rebuild

* Sat Jan 14 2012 Luis Bazan <lbazan@fedoraproject.org> - 2.6-10
- Add document MIGRATION

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 2.6-8
- Perl mass rebuild

* Tue Jul 12 2011 Luis Bazan <bazanluis20@gmail.com> 2.6-7
- licences to GPL+ or Artistic
- add doc Changes README
- change URL 

* Tue Jul 05 2011 Luis Bazan <bazanluis20@gmail.com> 2.6-6
- Remove OPTIMIZE from noarch packages (unneeded)
- changes to BuildRequires: perl(Test::Simple)
- licences to GPL+

* Tue Jun 28 2011 Luis Bazan <bazanluis20@gmail.com> 2.6-5
- Initial Release


